Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
com.tritondigital.net.streaming.proxy.decoder.AudioConfig Class Reference

Stores all parameters needed to interpret the Audio Data, such as which type of media it is. More...

## Classes
enum | ChannelCount
| The supported number of channels per stream. More...
enum | MediaType
| All supported media types. More...
enum | SamplingRate
| The supported sampling rate. More...

## Public Member Functions
| AudioConfig (MediaType mediaType, SamplingRate samplingRate, ChannelCount channelCount, byte[] additionalConfig)
| Constructs an AudioConfig from all its parameters, which become read-only and cannot be changed without creating a new AudioConfig.
MediaType | getMediaType ()
| Gets the type of media being streamed.
SamplingRate | getSamplingRate ()
| Gets the sample rate of the media being streamed.
ChannelCount | getChannelCount ()
| Gets the number of channels of the media being streamed (mono / stereo).
byte[] | getAdditionalConfig ()
| Gets the Additional configuration, that are specific to the media type (e.g.

## Detailed Description

Stores all parameters needed to interpret the Audio Data, such as which type of media it is.

## Constructor & Destructor Documentation

## ◆ AudioConfig()

com.tritondigital.net.streaming.proxy.decoder.AudioConfig.AudioConfig | ( | MediaType | mediaType,
|  | SamplingRate | samplingRate,
|  | ChannelCount | channelCount,
|  | byte[] | additionalConfig
| ) |  |

Constructs an AudioConfig from all its parameters, which become read-only and cannot be changed without creating a new AudioConfig.

Changing the config after audio data was decoded is currently not supported, but it could eventually be, if there is a need for it.

## Member Function Documentation

## ◆ getAdditionalConfig()

byte[] com.tritondigital.net.streaming.proxy.decoder.AudioConfig.getAdditionalConfig | ( |  | ) |

Gets the Additional configuration, that are specific to the media type (e.g.

2 bytes AudioSpecificConfig in AAC-lbr).

The documentation for this class was generated from the following file:

- streamingproxy/src/main/java/com/tritondigital/net/streaming/proxy/decoder/AudioConfig.java